// Mapping and Timing

//We set the seconds variable to whatever timing we want to use
float seconds = 5.0; //amount of seconds to move across the screen
int mFrameRate = 30; // this can be anything, but higher is smoother - 30-90 is normal

//We compute these variables in the code and don't need to set them here
float xPn = 0; //normalized x position, this will range from 0 to 1
float xInc = 0; //increment amount, 0 because we will calculate in setup()

void setup()
{
    size(400, 400); 
    
    /* From the referece we know this means we set the hue from 0 to 360,
    the saturation from 0 to 100, and the brightness from 0 to 100. */
    colorMode(HSB, 360, 100, 100);
    
    noStroke(); //this just says we don't want borders on our shapes by default
    
    frameRate(mFrameRate);// you don't have to type this if mFrameRate = 30 since that's the default
    
    /* draw() will becalled mFrameRate times per second.
    So, if we want a normalized control to go from 0 to 1 over 1 second we would need to add
    1/mFrameRate to xPn on each draw().
    But, we have a number of frames equal to frameRate*seconds, so we use: */
    
    xInc = 1.0 / (mFrameRate*seconds); //this converts time and framerate to an increment
}

void draw()
{
   //// Using xPn to control hue
   //background(xPn*360, 100, 100);
   
   //// Using xPn to control x position
   //ellipse(xPn*width, height/2, 100, 100);
   
   println(xPn);
   
   xPn += xInc; // shorthand for xPn = xPn + xInc;
   
   //if(xPn > 1) xPn = 0; //reset when we reach 1
   //if(xPn > 1) xInc *= -1; //or, reverse direction when we reach 1 or 0
   if(xPn > 1 || xPn < 0) xInc *= -1; //or, reverse direction when we reach 1 or 0
}