// Same result as Ex6, but using Processing's mapping function
// Reference: https://processing.org/reference/map_.html

// Mapping: using something (input) to control something else (output)

void setup()
{
    size(400, 400); 
    
    /* From the referece we know this means we set the hue from 0 to 360,
    the saturation from 0 to 100, and the brightness from 0 to 100. */
    colorMode(HSB, 360, 100, 100);
    
    noStroke(); //this just says we don't want borders on our shapes by default
}

void draw()
{
   float hue = map(mouseX, 0, width-1, 0, 360);
   background(hue, 100, 100);
   
   float size = map(mouseX, 0, width-1, 0, width);
   ellipse(width/2, height/2, size, size);
     
   //float bright = map(mouseY, 0, height-1, 0, 100); //brightness maximum when mouse is at bottom of scre
   float bright = map(mouseY, 0, height-1, 100, 0); //brightness maximum when mouse is at top of screen
   
   fill(180, 100, bright); 
   
   ellipse(width/2, height/2, size, size);
}